Skip to main content
GET
List all Credit Notes

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Query Parameters

before
string

Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.

after
string

Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.

limit
integer<int32>

Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).

sortOrder
enum<string>

Sort order. Default: DESC (descending, most often used for reverse chronological sorting).

Available options:
ASC,
DESC
sortBy
string

Sort column. Default: creation time. Options: GROSS_TOTAL, CREDIT_NOTE_NUMBER, STATUS

creditNoteStatus
string

Filter by credit note status. Options: DRAFT, FINAL, SENT, VOIDED

customerId
string

Filter by customer id.

sentBefore
string

Filter by sent date before. Format: yyyy-MM-dd

sentAfter
string

Filter by sent date after. Format: yyyy-MM-dd

searchCreditNoteNumber
string

Search credit notes by credit note number (partial, case-insensitive match)

Response

OK

items
object[]
required

CreditNotes

Example:
pagination
object
required

Results pagination

Example: